textures/ut43_dragonjumps/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	qer_editorimage textures/tenshi/sky_view.tga
	q3map_sun .75 .58 .42 70 235 60
	q3map_surfacelight 90
	q3map_lightsubdivide 256
	skyparms textures/ut43_dragonjumps/desert 128 -

	{
		map textures/tenshi/nuage2.tga
		blendfunc add
		tcMod scroll 0.01 0.02
	}
	{
		map textures/tenshi/nuage1.tga
		blendfunc add
		tcMod scroll 0.03 0.04
	}
}

textures/ut43_dragonjumps/icyt
{
	qer_editorImage textures/TESTRD/icy.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/TESTRD/icy.tga
	}
}

textures/ut43_dragonjumps/mirror2
{
    qer_editorImage textures/TESTRD/mirror.tga
    portal
    surfaceparm nodamage
    surfaceparm nolightmap
    {
        map textures/TESTRD/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/TESTRD/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/ut43_dragonjumps/glass
{
	qer_editorImage textures/urban_terror2/glass
       surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}


textures/ut43_dragonjumps/lava
{
	qer_editorimage	textures/ut43_dragonjumps/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm water 
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/ut43_dragonjumps/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut43_dragonjumps/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut43_dragonjumps/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}

textures/ut43_dragonjumps/lavacaulk
{
	qer_editorimage textures/ut43_dragonjumps/lavacaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/ut43_dragonjumps/water2
{
	qer_editorimage textures/ut43_dragonjumps/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull disable
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/ut43_dragonjumps/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 0.1
        }
        {
            map textures/ut43_dragonjumps/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll 0.05 -0.01
        }
        {
            map textures/ut43_dragonjumps/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 0.1
        }

}

textures/ut43_dragonjumps/watercaulk
{
	qer_editorimage textures/ut43_dragonjumps/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}


textures/ut43_dragonjumps/or
{
	qer_editorimage textures/japanc-ta/or.tga
	surfaceparm trans

	{
		map textures/japanc-ta/or.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/effects/envmapyel.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale .25 .25
		alphaGen lightingSpecular
	}
	{
		map textures/japanc-ta/or.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}